CVE-2018-18438

Priority
Description
Qemu has integer overflows because IOReadHandler and its associated
functions use a signed integer data type for a size value.
Notes
 mdeslaur> as of 2019-06-17, proposed fix not commited
Package
Source: qemu (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):deferred (2019-06-17)
Ubuntu 16.04 LTS (Xenial Xerus):deferred (2019-06-17)
Ubuntu 18.04 LTS (Bionic Beaver):deferred (2019-06-17)
Ubuntu 18.10 (Cosmic Cuttlefish):deferred (2019-06-17)
Ubuntu 19.04 (Disco Dingo):deferred (2019-06-17)
Ubuntu 19.10 (Eoan):deferred (2019-06-17)
Patches:
Other:https://lists.gnu.org/archive/html/qemu-devel/2018-10/msg02396.html
Other:https://lists.gnu.org/archive/html/qemu-devel/2018-10/msg02402.html
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):deferred (2019-06-17)
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
More Information

Updated: 2019-06-17 13:14:15 UTC (commit d57ef79f24d410ba9a38e9a002623df0bda65020)